using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using DatabaseEditor.BL.Models;
using DatabaseEditor.Messages;
using GalaSoft.MvvmLight.Messaging;

namespace DatabaseEditor.Views
{
    /// <summary>
    /// Interaction logic for BookSelectWindow.xaml
    /// </summary>
    public partial class BookSelectWindow : Window
    {
        public BookSelectWindow()
        {
            InitializeComponent();
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            Messenger.Default.Send(new AddItemMessage<BookListModel>((BookListModel)ListView.SelectedItem));
            this.Close();
        }
    }
}
